Resolido Docs
Channels

Channel status

GET
/channels

Overview of connected channels: email mailboxes, WhatsApp and the chat widget.

Authorization

bearer channels:read
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: channels:read

Response Body

Success

application/json
  1. response
email*
whatsapp*
widget*
curl -X GET "https://example.com/channels"
{  "email": {    "mailboxes": [      {        "id": "string",        "email": "string",        "displayName": "string",        "provider": "google",        "inboundMode": "forwarding",        "outboundMode": "google_direct",        "status": "draft",        "isDefault": true,        "googleConnected": true,        "aiReplyMode": "draft",        "updatedAt": 0      }    ]  },  "whatsapp": {    "isActive": true,    "connectionStatus": "string",    "statusReason": "string",    "statusMessage": "string",    "requiredActionUrl": "string",    "agentId": "string",    "connectedAt": 0,    "lastInboundAt": 0  },  "widget": {    "seenOnDomains": [      {        "domain": "string",        "lastSeenAt": 0      }    ]  }}